Skip to content

Get Delivery Receipts

Get the delivery receipt(s) for a batch

Request

Endpoint

Messaging Plus expects a POST request

GET https://mplus.instagiv.com/batch/{batch-uuid}
KeyDescriptionExample
batch-uuidBatch UUID to get delivery receipts forae9293fc-8af6-4dcc-87c9-c73a95b8ad49

Query strings

KeyRequiredDescriptionExample
keytrueAccount API key?key=aaaabbbbcccc111222333
detailsfalseWhether to return the details parameter in the request?details=true

Response

Body

json
{
    "counts": {
        "total": 1,
        "delivered": 1,
        "failed": 0
    },
}
json
{
    "counts": {
        "total": 1,
        "delivered": 1,
        "failed": 0
    },
    "details": [
        {
            "destination": "+441111111111",
            "delivered": true,
            "failed": false,
            "batchuuid": "6d26c8e8-5e58-4624-a262-2a89b4c5eae3",
            "messageuuid": "7d76bd34-c8c9-4e4f-b831-d6316ffaf609",
            "info": null
        }
    ]
}
json
{
    "counts": {
        "total": 4,
        "delivered": 2,
        "failed": 1
    },
    "details": [
        {
            "destination": "+441111111111",
            "delivered": true,
            "failed": false,
            "batchuuid": "6d26c8e8-5e58-4624-a262-2a89b4c5eae3",
            "messageuuid": "7d76bd34-c8c9-4e4f-b831-d6316ffaf609",
            "info": null
        },
        {
            "destination": "+442222222222",
            "delivered": true,
            "failed": false,
            "batchuuid": "6d26c8e8-5e58-4624-a262-2a89b4c5eae3",
            "messageuuid": "7d76bd34-c8c9-4e4f-b831-d6316ffaf609",
            "info": null
        },
        {
            "destination": "+443333333333",
            "delivered": false,
            "failed": true,
            "batchuuid": "6d26c8e8-5e58-4624-a262-2a89b4c5eae3",
            "messageuuid": "7d76bd34-c8c9-4e4f-b831-d6316ffaf609",
            "info": null
        },
        {
            "destination": "+444444444444",
            "delivered": false,
            "failed": false,
            "batchuuid": "6d26c8e8-5e58-4624-a262-2a89b4c5eae3",
            "messageuuid": "7d76bd34-c8c9-4e4f-b831-d6316ffaf609",
            "info": null
        },
    ]
}

Body parameters

KeyExpected valueDescription
counts.totalintegerTotal number of messages in this batch
counts.deliveredintegerNumber of delivered messages in this batch
counts.failedintegerNumber of failed messages in this batch
detailsDetail[]Details of the messages in the batch. Only supplied if the details query string parameter is specified as true

Detail object

KeyExpected valueDescription
destinationstringThe destination mobile number this message was sent to
deliveredbooleanWhether this message has been marked as delivered
failedbooleanWhether this message as been marked as failed
batchuuidstringbatch-uuid of this message
messageuuidstringmessage-uuid of this message
infoInfoInfo about the delivery of this batch.

Info object

When Info gets supplied

Currently this only gets supplied in the get-delivery-receipts response if a webhook receipt endpoint was specified in the original request that generated this batch

KeyExpected valueDescription
codestringHexadecimal code representing one of our internal delivery states
descriptionstringDescription of the error that occured during delivery

Messaging Plus is a Cymba API